Subject: [PATCH 0/3] arm64: Use pte manipulation functions for THP

From: [email-masked] (Catalin Marinas)
Date: Wed, 12 Feb 2014 13:47:07 +0000

On Wed, Feb 12, 2014 at 11:50:05AM +0000, Steve Capper wrote:
> I have noticed the following for ARM:
>  36bb94b ARM: pgtable: provide RDONLY page table bit rather than WRITE bit
> Are you happy for me to re-introduce PTE_WRITE for the 3-level code
> only, and keep L_PTE_RDONLY for the 2-level code?

But don't we create more confusion by differentiating between 2-level
and 3-level? What about L_PTE_WRITE in all cases as pure software bit
and PTE_RDONLY (without L_) defined just for LPAE.

-- 
Catalin